<?php
  
/*
----------------------------
Список сообществ в категории
----------------------------
*/
  
$category = DB::GET_STRING("SELECT * FROM `COMMUNITIES_CATEGORIES` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1");
  
IF (GET('id') && ISSET($category['ID'])){
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=communities&section=categories'>".LG('Категории')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".TEXT_ABSOLUTE($category['NAME'])."";
  ECHO "</div>";
  
  ECHO "<div class='tmenu_body'>";
  ECHO "<a href='/modules/?path=communities' class='tmenu-33'>".LG('Новые')."</a>";
  ECHO "<a href='/modules/?path=communities&get=rating' class='tmenu-33'>".LG('По рейтингу')."</a>";
  ECHO "<a href='/modules/?path=communities&section=categories' class='tmenu-33 tmenu-33-o'>".LG('Категории')."</a>";
  ECHO "</div>";
  
  ECHO "<div class='list'><center><b>".TEXT_ABSOLUTE($category['NAME'])."</b></center></div>";
  
  $column = DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES` WHERE `ID_CATEGORY` = '".$category['ID']."'");
  $spage = SPAGE($column, $page_settings);
  $page = PAGE($spage);
  $limit = $page_settings * $page - $page_settings;
  
  IF ($column == 0){ 
    
    HTML::EMPTY();
  
  }ELSE{
    
    ECHO "<div class='list-body'>"; 
  
  }
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `COMMUNITIES` WHERE `ID_CATEGORY` = '".$category['ID']."' ORDER BY `TIME` DESC LIMIT ".$limit.", ".$page_settings."");
  
  WHILE ($list = $data->FETCH()){
    
    REQUIRE (ROOT.'/modules/communities/plugins/communities_list.php');
  
  }
  
  IF ($column > 0){
    
    ECHO "</div>";
  
  }
  
  IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=communities&section=categories&id='.$category['ID'].'&', $spage, $page); }
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=communities&section=categories'>".LG('Категории')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".TEXT_ABSOLUTE($category['NAME'])."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}
  
/*
---------
Категории
---------
*/
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Категории')."";
ECHO "</div>";

ECHO "<div class='tmenu_body'>";
ECHO "<a href='/modules/?path=communities' class='tmenu-33'>".LG('Новые')."</a>";
ECHO "<a href='/modules/?path=communities&get=rating' class='tmenu-33'>".LG('По рейтингу')."</a>";
ECHO "<a href='/modules/?path=communities&section=categories' class='tmenu-33 tmenu-33-o'>".LG('Категории')."</a>";
ECHO "</div>";

IF (ISSET($user)){
  
  IF (MANAGEMENT == 1 || ACCESS('communities_category', NULL, 1)){
    
    /*
    -----------------
    Удалить категорию
    -----------------
    */
    
    $category = DB::GET_STRING("SELECT `ID` FROM `COMMUNITIES_CATEGORIES` WHERE `ID` = '".INTVAL(GET('delete'))."' LIMIT 1");
    
    IF (GET('delete') && ISSET($category['ID'])){
      
      CSRF::GET_CHECK_VALID(GET('delete'));
      
      IF (ACCESS('communities_category', NULL, 1) || MANAGEMENT == 1){
        
        LOGS('Сообщества - удаление категории '.ADSL($category['NAME']).'', $user['ID']);
      
      }
      
      DB::GET_SET("DELETE FROM `COMMUNITIES_CATEGORIES` WHERE `ID` = '".$category['ID']."' LIMIT 1");
      
      SUCCESS('Категория успешно удалена', 'session');      
      REDIRECT('/modules/?path=communities&section=categories');
      
    }
    
    /*
    -----------------------
    Редактировать категорию
    -----------------------
    */
    
    $category = DB::GET_STRING("SELECT * FROM `COMMUNITIES_CATEGORIES` WHERE `ID` = '".INTVAL(GET('edit'))."' LIMIT 1");
    
    IF (GET('edit') && ISSET($category['ID'])){
      
      CSRF::GET_CHECK_VALID(GET('edit'));
      
      IF (POST('ok')){
        
        $err_data = 0;
        
        $name = ADSL(POST('name'));
        
        IF (STR($name) < 1){
          
          ERROR('Имя не может быть меньше 1 символа', 'session');
          $err_data = 1;
        
        }
        
        IF (STR($name) > 100){
          
          ERROR('Имя не может быть больше 100 символов', 'session');
          $err_data = 1;
        
        }
        
        IF ($name != $category['NAME'] && DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES_CATEGORIES` WHERE `NAME` = '".$name."' LIMIT 1") == 1){
          
          ERROR('Категория с таким названием уже существует', 'session');
          $err_data = 1;
        
        }
        
        IF ($err_data == 1){
          
          REDIRECT('/modules/?path=communities&section=categories&edit='.$category['ID'].'&'.$token_url);
        
        }
        
        DB::GET_SET("UPDATE `COMMUNITIES_CATEGORIES` SET `NAME` = '".$name."' WHERE `ID` = '".$category['ID']."' LIMIT 1");
        
        IF (ACCESS('communities_category', NULL, 1) || MANAGEMENT == 1){
          
          LOGS('Сообщества - редактирование категории '.ADSL($category['NAME']).'', $user['ID']);
        
        }
        
        SUCCESS('Категория успешно отредактирована', 'session');
        REDIRECT('/modules/?path=communities&section=categories');
        
      }
      
      ECHO "<div class='list'>";
      
      ECHO "<form method='post' class='form' action='/modules/?path=communities&section=categories&edit=".$category['ID']."&".$token_url."'>";
      
      ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 100 символов')."):<br />";
      HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($category['NAME']));
      
      HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');
      
      ECHO "</form>";
      
      ECHO "</div>";
      
    }
    
    /*
    ------------------
    Добавить категорию
    ------------------
    */
    
    IF (GET('get') == 'add'){
      
      CSRF::GET_CHECK_VALID(GET('get'));
      
      IF (POST('ok')){
        
        $err_data = 0;
        
        $name = ADSL(POST('name'));
        
        IF (STR($name) < 1){
          
          ERROR('Имя не может быть меньше 1 символа', 'session');
          $err_data = 1;
        
        }
        
        IF (STR($name) > 100){
          
          ERROR('Имя не может быть больше 100 символов', 'session');
          $err_data = 1;
        
        }
        
        IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES_CATEGORIES` WHERE `NAME` = '".$name."' LIMIT 1") == 1){
          
          ERROR('Категория с таким названием уже существует', 'session');
          $err_data = 1;
        
        }
        
        IF ($err_data == 1){
          
          REDIRECT('/modules/?path=communities&section=categories&get=add&'.$token_url);
        
        }
        
        DB::GET_ADD("INSERT INTO `COMMUNITIES_CATEGORIES` (`NAME`) VALUES ('".$name."')");
        
        IF (ACCESS('communities_category', NULL, 1) || MANAGEMENT == 1){
          
          LOGS('Сообщества - создание новой категории', $user['ID']);
        
        }
        
        SUCCESS('Категория успешно создана', 'session');
        REDIRECT('/modules/?path=communities&section=categories');
        
      }
      
      ECHO "<div class='list'>";
      
      ECHO "<form method='post' class='form' action='/modules/?path=communities&section=categories&get=add&".$token_url."'>";
      
      ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 100 символов')."):<br />";
      HTML::INPUT('name', 'Имя');
      
      HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Создать');
      
      ECHO "</form>";
      
      ECHO "</div>";
      
    }
  
  }
  
}

IF (ISSET($user)){
  
  IF (MANAGEMENT == 1 || ACCESS('communities_category', NULL, 1)){
    
    ECHO "<div class='list'>";
    ECHO "<a class='btn' href='/modules/?path=communities&section=categories&get=add&".$token_url."'>".ICONS('plus', 15, 'fa-fw')." ".LG('Добавить категорию')."</a>";
    ECHO "</div>";
    
  }
  
}

$column = DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES_CATEGORIES`");
$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;

IF ($column == 0){ 
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>"; 
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `COMMUNITIES_CATEGORIES` ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");

WHILE ($list = $data->FETCH())
{
  
  ECHO "<div class='list-menu'>";
  
  ECHO "<span class='icons'>".ICONS('folder', 18, 'fa-fw')."</span> <a href='/modules/?path=communities&section=categories&id=".$list['ID']."'>".TEXT_ABSOLUTE($list['NAME'])."</a>";
  
  IF (ISSET($user)){
    
    IF (MANAGEMENT == 1 || ACCESS('communities_category', NULL, 1)){
      
      ECHO "<br /><br />";
      
      ECHO "<a class='btn' href='/modules/?path=communities&section=categories&edit=".$list['ID']."&".$token_url."'>".ICONS('pencil', 15, 'fa-fw')." ".LG('Редактировать')."</a>";
      ECHO "<a class='btn' href='/modules/?path=communities&section=categories&delete=".$list['ID']."&".$token_url."'>".ICONS('trash', 15, 'fa-fw')." ".LG('Удалить')."</a>";
    
    }
    
  }
  
  ECHO "</div>";

}

IF ($column > 0){

  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=communities&section=categories&', $spage, $page); }

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=communities'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('К сообществам')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Категории')."";
ECHO "</div>";
  
?>